%define upstream_name    Test-Metrics-Any
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Assert that code produces metrics via L<Metrics::Any>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Metrics::Any::Adapter)
BuildRequires: perl(Metrics::Any::Adapter::Test)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This test module helps write unit tests which assert that the code under
test reports metrics via the Metrics::Any manpage.

Loading this module automatically sets the the Metrics::Any::Adapter
manpage type to 'Test'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.10.0-2.mga9
+ Revision: 1812672
- Mageia 9 Mass Rebuild

* Wed May 06 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1580838
- imported package perl-Test-Metrics-Any


* Wed May 06 2020 Thierry Vignaud <tv@mageia.org> 0.10.0-1.mga8
- initial mageia release, generated with cpan2dist
